Monitors
List monitors
GET
/
v1
/
monitors
List monitors
curl --request GET \
--url https://api.veri.studio/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"deployment_id": "<string>",
"evaluator_id": "<string>",
"evaluator_name": "<string>",
"scope": "<string>",
"sampling_rate": 123,
"filter": {},
"idle_minutes": 123,
"daily_cap": 123,
"enabled": true,
"stats": {
"scored_today": 123,
"flagged_today": 123,
"scored_7d": 123,
"flagged_7d": 123,
"last_scored_at": "2023-11-07T05:31:56Z",
"human_agreement": {
"n": 123,
"rate": 123
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"evaluator_version": 123,
"review_below_confidence": 123,
"review_queue_id": "<string>"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Only this deployment's monitors.
List monitors
curl --request GET \
--url https://api.veri.studio/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"deployment_id": "<string>",
"evaluator_id": "<string>",
"evaluator_name": "<string>",
"scope": "<string>",
"sampling_rate": 123,
"filter": {},
"idle_minutes": 123,
"daily_cap": 123,
"enabled": true,
"stats": {
"scored_today": 123,
"flagged_today": 123,
"scored_7d": 123,
"flagged_7d": 123,
"last_scored_at": "2023-11-07T05:31:56Z",
"human_agreement": {
"n": 123,
"rate": 123
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"evaluator_version": 123,
"review_below_confidence": 123,
"review_queue_id": "<string>"
}
],
"has_more": true
}
